Retrieves details of a specific Compliance Job by its ID.
curl --request GET \
--url https://api.x.com/2/compliance/jobs/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"created_at": "2021-01-06T18:40:40.000Z",
"download_expires_at": "2021-01-06T18:40:40.000Z",
"download_url": "<string>",
"id": "1372966999991541762",
"status": "created",
"type": "tweets",
"upload_expires_at": "2021-01-06T18:40:40.000Z",
"upload_url": "<string>",
"name": "my-job"
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.x.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the Compliance Job to retrieve. Compliance Job ID.
^[0-9]{1,19}$"1372966999991541762"
A comma separated list of ComplianceJob fields to display. The fields available for a ComplianceJob object.
1created_at, download_expires_at, download_url, id, name, resumable, status, type, upload_expires_at, upload_url [
"created_at",
"download_expires_at",
"download_url",
"id",
"name",
"resumable",
"status",
"type",
"upload_expires_at",
"upload_url"
]The request has succeeded.
Show child attributes
1An HTTP Problem Details object, as defined in IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).
Show child attributes
curl --request GET \
--url https://api.x.com/2/compliance/jobs/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"created_at": "2021-01-06T18:40:40.000Z",
"download_expires_at": "2021-01-06T18:40:40.000Z",
"download_url": "<string>",
"id": "1372966999991541762",
"status": "created",
"type": "tweets",
"upload_expires_at": "2021-01-06T18:40:40.000Z",
"upload_url": "<string>",
"name": "my-job"
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}